Results 1 to 5 of 5

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3g 3.1.3 help

  1. #1
    Default 3g 3.1.3 help
    I updated my iPhone to 4.2 which was very slow and had everything messed up,so I downgraded back to 3.1.3 and now apps that I had before the upgrade no longer work and I can't get newer ones. They all say not 4.0 compatible. Is there anything I can do to correct this.

  2. #2
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    They are *not* iOS 4 compatible or are they not compatible *because* you need iOS 4? Because if it's the latter, you can't make apps that require iOS 4 to work on a 3.1.x device.

    If it's absolutely important for you to use these apps, you can upgrade back to 4.2.1 and disable wallpapers and multitasking, disable safe launch daemons, and remove unused language packs to speed up your device. I believe there's a decent speed improvement by doing all of the above, but I don't know if it will completely eliminate all possible lag/slowdown.

    If you don't know how to do the above, it's probably good to do some research and learn what you're supposed to do before messing with those things as it could crash the phone and require you to restore. Removing unused language packs and disabling multitasking/wallpaper should be fine and easy to learn, but disabling launch daemons if not done correctly will cause crashing.

    If this isn't something you're looking to do, then you'll either stay on 3.1.3 and not use the apps or go back up to 4.2.1 and deal with the lag. I'll get you started though if you need it:

    YouTube for removing unused language packs, search: "Dr. Jailbreak remove unused language packs"
    Disabling multitasking/wallpapers: Use Redsn0w

  3. #3
    Thx for answering. The only thing is that I had the same apps before I upgraded and soon as I downgraded some wouldn't work anymore but they weren't that important at the time. Although when I first jailbroke it way back at 3.1.2, I used a Cydia 3.1.3 patch or something to update to 3.1.3. That wasn't an official apple update. Doesn't really matter now because I dropped the phone right in the toilet the other day and went ahead and got the 4. Lol

  4. #4
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Dropping your 3g iphone into the toilet bowl seems like a legitimate excuse to upgrade to iphone 4

  5. #5
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I love that solution lol. iPhone 3G is seriously outdated though, to me at least.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •